# sc::LocalSCMatrixKit Class Reference

The LocalSCMatrixKit produces matrices that work in a single processor environment. More...

`#include <local.h>`

Inheritance diagram for sc::LocalSCMatrixKit:

List of all members.

## Public Member Functions

| LocalSCMatrixKit (const Ref< KeyVal > &)
SCMatrix * | matrix (const RefSCDimension &, const RefSCDimension &)
| Given the dimensions, create matrices or vectors.
SymmSCMatrix * | symmmatrix (const RefSCDimension &)
DiagSCMatrix * | diagmatrix (const RefSCDimension &)
SCVector * | vector (const RefSCDimension &)

## Detailed Description

The LocalSCMatrixKit produces matrices that work in a single processor environment.

The documentation for this class was generated from the following file:

- local.h